func isValidDate(var day, var month, var year)

    var monthLength[12]:= [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];

    // leap year checking, if ok add 29 days to February
    if(year % 400 == 0 || (year % 100 != 0 && year % 4 == 0))
        monthLength[1] := 29;
    endif

    if(day   < 1 || day   > monthLength[month-1])   // check day
        return FALSE;
    endif

    if(month < 1 || month > 12)                     // check month
        return FALSE;
    endif

    if(year  < 1 || year  > 9999)                   // check year
        return FALSE;
    endif

    return TRUE;
endfunc



func isValidTime(var second, var minute, var hour)
    if(hour   < 0 || hour    > 23) // check hour
        return FALSE;
    endif

    if(minute < 0 || minute  > 59) // check minute
        return FALSE;
    endif

    if(second < 0 || second  > 59) // check second
        return FALSE;
    endif

    return TRUE;
endfunc
